Kerbal Space Program - Bug #780

Solar Panels Produce Electricity when orbiting behind a CelestialBody
06/15/2013 06:41 PM - Fel

Status: Closed Start date: 06/15/2013
Severity: Unworthy % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.20.2 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

By entering map mode, in certain zoom levels, panels may either ignore the body or, before loading it (which can occur when orbiting
the mun at ~30km), allow sunlight to flow to said panels. (In the latter case, repeatedly reloading the map allowed the batteries to
recharge while on the darkside of the mun).

Related issues:

Related to Kerbal Space Program - Bug #1129: Solar Panels Work on darkside at... Closed 07/25/2013
Has duplicate Kerbal Space Program - Bug #1600: Switching to map restores Ele... Closed 10/21/2013
History

#1 - 08/16/2013 10:36 AM - Ted
- Category set to Physics

#2 - 01/09/2015 10:48 AM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Switching from flight to map scene does produce a charge when it wouldn't feasibly do so.

#3 - 01/31/2015 12:27 AM - m4v
. " 0

| take it back, is still there.

#4 - 04/29/2015 08:30 PM - Lorunification

| confirm the bug is still present in 1.0

#5 - 08/02/2015 11:11 PM - Squelch
- Related to Bug #1129: Solar Panels Work on darkside at low altitudes added

#6 - 07/17/2016 09:24 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
